JavaFX GUI test apps causing runtime errors

Post there if an important software is missing and has to be added
johnstein
Posts: 2
Joined: 08 Feb 2016, 16:30

JavaFX GUI test apps causing runtime errors

Postby johnstein » 05 Jun 2016, 14:33

I have customized the SystemRescue image following your directions.
Have emerged Java JDK 1.8X that has the Java runtime using the JavaFX USE flag.
Running Java jar test apps, one for each Java GUI control, produces this runtime error:
1) "ES2 Prism: Error - GLX extension is not supported
GLX version 1.3 or higher is required"
for each test app.
2) Crashes the runtime for the paginationsample.PaginationSample GUI sample app. Funtoo has a display issue with this but it doesn't crash

The GLX extension issue appears related to DRM/DRI kernel support?

The test GUI apps run as they do in Microsoft Windows while under Ubuntu.
Funtoo runs them 98% correctly while using the same Gentoo Java package and JavaFX USE flag as has been used with SystemRescue. No runtime errors while running under Funtoo Linux.

Any suggestions would be much appreciated. We are running end user utilities. The size of the final image is not that much of a concern and it doesn't need to be on a CD.

Return to “Software request”

Who is online

Users browsing this forum: No registered users and 1 guest